Hi,

At Thu, 13 Mar 2003 03:26:08 +0900,
Colin Coates wrote:
> So to be on the safe side, I want to uninstall the previous Ruby distribution.
> Usually this would be acomplished by typing "make uninstall". However, there is
> no "uninstall" target in the makefile. I tried Google-ing for the answer and
> found a couple of posts from other people making the same observation, but no
> solution.

1.6 and 1.8 can coexist except for $(prefix)/bin/{ruby,irb}
(although irb in 1.6 and 18 are actually identical now).  So
you don't need to uninstall the previous version, if you rename
them.

When you want to uninstall ruby, remove $(prefix)/bin stuff as
above, $(prefix)/lib/libruby.* and $(prefix)/lib/ruby/.

-- 
Nobu Nakada